const { series, src } = require('gulp');
const gulpSassLint = require('gulp-sass-lint');

function sassLint(cb) {
  return src('./packages/**/*.scss')
    .pipe(gulpSassLint({
      options: {
        formatter: 'table'
      }
    }))
    .pipe(gulpSassLint.format())
    .pipe(gulpSassLint.failOnError());
}

exports.default = series(sassLint);
exports.sassLint = sassLint;
